import Vue from 'vue'
import Vuex from 'vuex'
Vue.use(Vuex); //vue的插件机制

//Vuex.Store 构造器选项
const store = new Vuex.Store({
	state: { //存放状态

		systemInfo: '', //系统信息
		userInfo: '', //用户信息
	},
	actions: {
		//扫码获取信息
		getCodeInfoFun({
			commit
		}) {

			return new Promise((resolve, reject) => {
				// #ifdef APP-PLUS
				uni.scanCode({
					// onlyFromCamera: true,
					scanType: ['qrCode', 'barCode'],
					success: function(res) {
						resolve(res)
					},
					complete: function(res) {
						uni.hideLoading();
					},
					fail: function(res) {
						reject(res)
						console.log('失败条码类型：' + res.scanType);
					}

				});
				// uni.redirectTo({
				// 	url: "/pages/login/index"
				// })
				// #endif
				// #ifndef APP-PLUS || APP-NVUE
				uni.redirectTo({
					url: "/pages/login/index"
				})
				// #endif
			})



		}
	}
})
export default store
