// 全局请求封装
const token = '自己的token令牌，最好读取缓存中的'
// const token = uni.getStorage('token')
const apiUrl = 'https://v1.shopapi.tpfeps.com'

// url-api路径/method-请求类型/data-请求参数
const baseRequest = (url, method, data) => {
	//请求拦截
	uni.showLoading({
		title: "加载中"
	});
	return new Promise((resolve, reject) => {
		// uni.request({
		// 	url: apiUrl + url,
		// 	data:params,
		// 	method:method,
		// 	header: {
		// 		'token':token
		// 	}
		// }).then((response)=>{
		// 	let [error, res] = response;
		// 	resolve(res.data);
		// 	console.log(response[1].header.token) //获取请求头token
		// }).catch(error => {
		//           let [err, res] = error;
		//           reject(err)
		//       })

		uni.request({
			url: apiUrl + url,
			data: data,
			method: method,
			header: {
				'token': token
			}
			success(res) {
				//响应成功拦截
				resolve(res)
			},
			fail(err) {
				//响应失败拦截
				reject(err)
			},
			complete(res) {
				//请求完成拦截
				uni.hideLoading()
			}
		})
	});
}

export default {
	baseRequest
}
